package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussAppMenu implements Serializable {
    private Integer id;

    private String name;

    private String code;

    private String icon;

    private String menuGroup;

    private String navCode;

    private String navName;

    private String url;

    private Byte sort;

    private String visible;

    private Date createTime;

    private Date updateTime;

    private String isapplets;

    private String username;

    private String path;

    private String isuniapp;

    private String isandroidenabled;

    private String isiphoneenabled;

    private String androidminversionname;

    private String iosminversionname;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon == null ? null : icon.trim();
    }

    public String getMenuGroup() {
        return menuGroup;
    }

    public void setMenuGroup(String menuGroup) {
        this.menuGroup = menuGroup == null ? null : menuGroup.trim();
    }

    public String getNavCode() {
        return navCode;
    }

    public void setNavCode(String navCode) {
        this.navCode = navCode == null ? null : navCode.trim();
    }

    public String getNavName() {
        return navName;
    }

    public void setNavName(String navName) {
        this.navName = navName == null ? null : navName.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public Byte getSort() {
        return sort;
    }

    public void setSort(Byte sort) {
        this.sort = sort;
    }

    public String getVisible() {
        return visible;
    }

    public void setVisible(String visible) {
        this.visible = visible == null ? null : visible.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getIsapplets() {
        return isapplets;
    }

    public void setIsapplets(String isapplets) {
        this.isapplets = isapplets == null ? null : isapplets.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path == null ? null : path.trim();
    }

    public String getIsuniapp() {
        return isuniapp;
    }

    public void setIsuniapp(String isuniapp) {
        this.isuniapp = isuniapp == null ? null : isuniapp.trim();
    }

    public String getIsandroidenabled() {
        return isandroidenabled;
    }

    public void setIsandroidenabled(String isandroidenabled) {
        this.isandroidenabled = isandroidenabled == null ? null : isandroidenabled.trim();
    }

    public String getIsiphoneenabled() {
        return isiphoneenabled;
    }

    public void setIsiphoneenabled(String isiphoneenabled) {
        this.isiphoneenabled = isiphoneenabled == null ? null : isiphoneenabled.trim();
    }

    public String getAndroidminversionname() {
        return androidminversionname;
    }

    public void setAndroidminversionname(String androidminversionname) {
        this.androidminversionname = androidminversionname == null ? null : androidminversionname.trim();
    }

    public String getIosminversionname() {
        return iosminversionname;
    }

    public void setIosminversionname(String iosminversionname) {
        this.iosminversionname = iosminversionname == null ? null : iosminversionname.trim();
    }
}